<?php
$db = mysql_connect("localhost", "leerphp", "bla!vux6")
        or die("Kan niet verbinden: " . mysql_error());
mysql_select_db("leerphp", $db);
?>
<html>
<head>
	<title>Artikel verwijderen</title>
</head>

<body>
<?php
if ($_GET["actie"] == "wis" && $_GET["artikelid"]) { // artikel ingevoerd?
$sql = "DELETE FROM Artikel WHERE ARTIKEL_ID=".$_GET["artikelid"].";";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Verwijderen artikel mislukt!";
		exit;
} else {
$sql = "DELETE FROM Categorie_per_Artikel WHERE ARTIKEL_ID=".$_GET["artikelid"].";";
if (!mysql_query($sql)) { // voer SQL code uit
echo "Verwijderen categorie mislukt!";
		exit;
		}
}
echo "OK, het artikel is verwijderd!";	
} else {
?>

Wis het volgende artikel:<br>
<?php
	$sql = "SELECT * FROM Artikel";
	$resultaat  = mysql_query($sql); // voer SQL code uit
	while ($rij = mysql_fetch_array($resultaat)) {
	$artikelid = $rij["ARTIKEL_ID"];
	echo $rij["Naam"]." <a href=\"$PHP_SELF?actie=wis&artikelid=$artikelid\">Wis</a><br>\n";
	}
}
?>
</body>
</html>
<?php
mysql_close($db);
?>
